NIFTI_STATS(1)

NAME
nifti_stats - compute NIfTI statistical functions

SYNOPSIS
nifti_stats [-q|-d|-1|-z] value CODE [p1 p2 p3]

DESCRIPTION
nifti_stats supports several distributions (normal, uniform, logistic, chi, etc.) and calculates density or cummulative distribution function (and many more). Values are printed to stdout and can be piped to other tools.

value can be a single number or in the form bot:top:step.
    default ==> output p = Prob(statistic < val).

-q  ==> output is 1-p.

-d  ==> output is density.

-1  ==> output is x such that Prob(statistic < x) = val.

-z  ==> output is z such that Normal cdf(z) = p(val).

-h  ==> output is z such that 1/2-Normal cdf(z) = p(val).

Allowable CODEs:

CORREL, TTEST, FTEST, ZSCORE, CHISQ, BETA, BINOM, GAMMA, POISSON, NORMAL, FTEST_NONC, CHISQ_NONC, LOGISTIC, LAPLACE, UNIFORM, TTEST_NONC, WEIBULL, CHI, INVGAUSS, EXTVAL, PVAL, LOGPVAL and LOG10PVAL

    Following CODE are distributional parameters, as needed.

Results are written to stdout, 1 number per output line.

EXAMPLE
Piping output into AFNI program 1dplot:

    nifti_stats -d 0:4:.001 INVGAUSS 1 3 | 1dplot -dx 0.001 -stdin

SEE ALSO
libnifti(1), nifti_tool(1), nifti1_test(1).

Homepage: http://niftilib.sourceforge.net

AUTHOR
RW Cox - SSCC/NIMH/NIH/DHHS/USA/EARTH - March 2004

This manual page was written by Michael Hanke <michael.hanke@gmail.com>, for the Debian project (but may be used by others).